Get Workflow Card
curl --request GET \
--url https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"capabilities": {
"extensions": [
{
"uri": "<string>",
"description": "<string>",
"params": {},
"required": true
}
],
"pushNotifications": true,
"stateTransitionHistory": true,
"streaming": true
},
"defaultInputModes": [
"<string>"
],
"defaultOutputModes": [
"<string>"
],
"description": "Agent that helps users with recipes and cooking.",
"name": "Recipe Agent",
"skills": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>",
"tags": [
"cooking",
"customer support",
"billing"
],
"examples": [
"I need a recipe for bread"
],
"inputModes": [
"<string>"
],
"outputModes": [
"<string>"
],
"security": [
{
"google": [
"oidc"
]
}
]
}
],
"url": "https://api.example.com/a2a/v1",
"version": "1.0.0",
"additionalInterfaces": [
{
"transport": "JSONRPC",
"url": "https://api.example.com/a2a/v1"
}
],
"documentationUrl": "<string>",
"iconUrl": "<string>",
"preferredTransport": "JSONRPC",
"protocolVersion": "0.3.0",
"provider": {
"organization": "<string>",
"url": "<string>"
},
"security": [
{
"oauth": [
"read"
]
},
{
"api-key": [],
"mtls": []
}
],
"securitySchemes": {},
"signatures": [
{
"protected": "<string>",
"signature": "<string>",
"header": {}
}
],
"supportsAuthenticatedExtendedCard": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}A2A
Get Workflow Card
GET
/
a2a
/
workflows
/
{id}
/
.well-known
/
agent-card.json
Get Workflow Card
curl --request GET \
--url https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/a2a/workflows/{id}/.well-known/agent-card.json")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"capabilities": {
"extensions": [
{
"uri": "<string>",
"description": "<string>",
"params": {},
"required": true
}
],
"pushNotifications": true,
"stateTransitionHistory": true,
"streaming": true
},
"defaultInputModes": [
"<string>"
],
"defaultOutputModes": [
"<string>"
],
"description": "Agent that helps users with recipes and cooking.",
"name": "Recipe Agent",
"skills": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>",
"tags": [
"cooking",
"customer support",
"billing"
],
"examples": [
"I need a recipe for bread"
],
"inputModes": [
"<string>"
],
"outputModes": [
"<string>"
],
"security": [
{
"google": [
"oidc"
]
}
]
}
],
"url": "https://api.example.com/a2a/v1",
"version": "1.0.0",
"additionalInterfaces": [
{
"transport": "JSONRPC",
"url": "https://api.example.com/a2a/v1"
}
],
"documentationUrl": "<string>",
"iconUrl": "<string>",
"preferredTransport": "JSONRPC",
"protocolVersion": "0.3.0",
"provider": {
"organization": "<string>",
"url": "<string>"
},
"security": [
{
"oauth": [
"read"
]
},
{
"api-key": [],
"mtls": []
}
],
"securitySchemes": {},
"signatures": [
{
"protected": "<string>",
"signature": "<string>",
"header": {}
}
],
"supportsAuthenticatedExtendedCard": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Response
Successful Response
The AgentCard is a self-describing manifest for an agent. It provides essential metadata including the agent's identity, capabilities, skills, supported communication methods, and security requirements.
Was this page helpful?